// subPackagesB/pages/joinGroup/joinGroup.js
import {get,post} from '../../../utils/http.js'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    store_id:'', // 店铺ID
    groupList:'', //拼团列表
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
    // 保存店铺ID
    this.setData({
      store_id:wx.getStorageSync('store_id')
    })
    // 获取拼团专区列表
    this.getGroupList()
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  },
  // 获取拼团专区列表
  getGroupList(){
    get('v2/api/grouping/list',{
      store_id:this.data.store_id||wx.getStorageSync('store_id')
    },(res)=>{
      if(res.code==200){
        this.setData({
          groupList:res.data
        })
      }
    })
  },
  // 拼团记录跳转
  goRecord(){
    wx.navigateTo({
      url: '/subPackagesB/pages/groupRecord/groupRecord',
    })
  },
  // 活动说明跳转
  goExplain(){
    wx.navigateTo({
      url: '/subPackagesB/pages/groupExplain/groupExplain',
    })
  },
  // 跳转商品去拼团
  goGoodsGroup(e){
    let id = e.currentTarget.dataset.id
    wx.navigateTo({
      url: `/subPackagesB/pages/groupDetail/groupDetail?id=${id}`,
    })
  }
})